Page MenuHomePhabricator

Luncher: engage mode - correct positioning and direction of popups
Closed, WontfixPublic

Description

In engage mode, luncher displays popups for running instances of applications incorrectly.

  1. They are displayed in the same position as the application icon ( as the icon itself bulges out in a radial fashion ). This makes launching new instances difficult once one is already running. You have to click the icon before the instance previews appear - which gives you less than a second.
  2. The instance previews have an arrow rendered which points downwards. This should be directional - it should point in the direction of the luncher bar, no matter what orientation is in use.

Additional feature request: It would be particularly cool if the popups were also placed in a radial fashion instead of in a straight line.

dkasak created this task.May 1 2017, 6:44 PM
stephenmhouston triaged this task as Normal priority.
stephenmhouston added a subscriber: ajwillia.ms.

Agree here -- We need to do some work on the engage side.

bu5hm4n moved this task from Backlog to Gadgets on the enlightenment-git board.Jul 4 2017, 7:54 AM
stephenmhouston closed this task as Wontfix.Sep 6 2017, 2:07 PM

We removed the engage feature to luncher for the upcoming release. We may decide to revisit it at some point in the not so distant future.